Developer Documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMPropertyVisualizerVector< MeshT > Class Template Reference
Inheritance diagram for OMPropertyVisualizerVector< MeshT >:

## Public Member Functions
| OMPropertyVisualizerVector (MeshT *_mesh, int _objectID, const PropertyInfo &_propertyInfo)
virtual void | clear () override
| Clears the property. More...
Public Member Functions inherited from OMPropertyVisualizer< MeshT >
| OMPropertyVisualizer (MeshT *_mesh, int objectID, const PropertyInfo &_propertyInfo)
virtual void | visualize (bool _setDrawMode, QWidget *_widget)
| Visualizes the property. More...
unsigned int | getClosestPrimitiveId (unsigned int _face, ACG::Vec3d &_hitPoint)
| Returns the ID of the closest primitive. More...
Public Member Functions inherited from PropertyVisualizer
| PropertyVisualizer (const PropertyInfo &_propertyInfo)
| Constructor. More...
virtual | ~PropertyVisualizer ()
| Destructor.
virtual QString | getName ()
| Returns a beautiful name. More...
virtual QWidget * | getWidget ()
| Returns the visualizer's widget. More...
const PropertyInfo & | getPropertyInfo () const
| Returns the PropertyInfo.

## Protected Member Functions
void | visualizeFaceProp (bool _setDrawMode=true) override
void | visualizeEdgeProp (bool _setDrawMode=true) override
void | visualizeHalfedgeProp (bool _setDrawMode=true) override
void | visualizeVertexProp (bool _setDrawMode=true) override
virtual void | visualizeFacePropOnEdges ()
virtual void | visualizeFacePropAsStrokes ()
virtual void | visualizeEdgePropAsStrokes ()
virtual void | visualizeHalfedgePropAsStrokes ()
virtual void | visualizeVertexPropAsStrokes ()
void | removeProperty () override
| Removes the property. More...
void | duplicateProperty () override
| Duplicates the property. More...
QString | getPropertyText (unsigned int index) override
| Returns the value of a property in text form. More...
void | setFacePropertyFromText (unsigned int index, QString text) override
void | setEdgePropertyFromText (unsigned int index, QString text) override
void | setHalfedgePropertyFromText (unsigned int index, QString text) override
void | setVertexPropertyFromText (unsigned int index, QString text) override
Protected Member Functions inherited from OMPropertyVisualizer< MeshT >
template<typename PropType >
void | removeProperty_stage1 ()
template<typename PropType >
void | removeProperty_stage2 ()
template<typename PropType >
void | duplicateProperty_stage1 ()
template<typename PropHandle , typename Iterator >
void | duplicateProperty_stage2 (Iterator first, Iterator last)
virtual void | clearFaceProp ()
virtual void | clearEdgeProp ()
virtual void | clearHalfedgeProp ()
virtual void | clearVertexProp ()
virtual void | setPropertyFromText (unsigned int index, QString text)
| Returns the value of a property in text form. More...
virtual int | getEntityCount ()
| Returns the number of entities.
virtual QString | getHeader ()
| Returns the header for saving.
unsigned int | getClosestFaceId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestEdgeId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestHalfedgeId (unsigned int _face, ACG::Vec3d &_hitPoint)
unsigned int | getClosestVertexId (unsigned int _face, ACG::Vec3d &_hitPoint)
template<typename InnerType >
QString | getPropertyText_ (unsigned int index)
template<typename Type >
void | showHistogram (ACG::QtWidgets::QtHistogramWidget *histogramWidget)
Protected Member Functions inherited from PropertyVisualizer
virtual std::unique_ptr< ACG::IColorCoder > | buildColorCoder ()
template<typename PropType , typename Iterable >
void | showHistogramT (ACG::QtWidgets::QtHistogramWidget *widget, Iterable data)

## Protected Attributes
ACG::SceneGraph::LineNode * | lineNode
Protected Attributes inherited from OMPropertyVisualizer< MeshT >
MeshT * | mesh
int | mObjectID
Protected Attributes inherited from PropertyVisualizer
PropertyInfo | propertyInfo

## Additional Inherited Members
Signals inherited from PropertyVisualizer
void | log (Logtype _type, QString _message)
void | log (QString _message)
Static Public Member Functions inherited from PropertyVisualizer
static QString | toStr (bool b)
static QString | toStr (double d)
static QString | toStr (int i)
static QString | toStr (uint8_t i)
static QString | toStr (unsigned int i)
static QString | toStr (OpenMesh::Vec3d v)
static QString | toStr (OpenMesh::Vec2d v)
static QString | toStr (OpenMesh::Vec2f v)
static bool | strToBool (QString str)
static double | strToDouble (QString str)
static int | strToInt (QString str)
static unsigned int | strToUInt (QString str)
static OpenMesh::Vec3d | strToVec3d (QString str)
static OpenMesh::Vec2d | strToVec2d (QString str)
static OpenMesh::Vec2f | strToVec2f (QString str)
Public Attributes inherited from PropertyVisualizer
QWidget * | widget

## Detailed Description

### template<typename MeshT>
class OMPropertyVisualizerVector< MeshT >

Definition at line 60 of file OMPropertyVisualizerVector.hh.

## Member Function Documentation

## ◆ clear()

template<typename MeshT >

void OMPropertyVisualizerVector< MeshT >::clear | ( | void |  | ) |
| override virtual

Clears the property.

This method clears the property by releasing the colors of the mesh.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 72 of file OMPropertyVisualizerVectorT_impl.hh.

## ◆ duplicateProperty()

template<typename MeshT >

void OMPropertyVisualizerVector< MeshT >::duplicateProperty | ( |  | ) |
| override protected virtual

Duplicates the property.

This will duplicate the property.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 517 of file OMPropertyVisualizerVectorT_impl.hh.

## ◆ getPropertyText()

template<typename MeshT >

QString OMPropertyVisualizerVector< MeshT >::getPropertyText | ( | unsigned int | i | ) |
| override protected virtual

Returns the value of a property in text form.

Parameters

  i | The id of the entity whose property we want to know.

Returns
  The property value in text form.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 79 of file OMPropertyVisualizerVectorT_impl.hh.

## ◆ removeProperty()

template<typename MeshT >

void OMPropertyVisualizerVector< MeshT >::removeProperty | ( |  | ) |
| override protected virtual

Removes the property.

This will remove the property from the mesh. After this method the PropertyVisualizer should be deleted.

Reimplemented from OMPropertyVisualizer< MeshT >.

Definition at line 511 of file OMPropertyVisualizerVectorT_impl.hh.

The documentation for this class was generated from the following files:

- Plugin-PropertyVis/OpenMesh/OMPropertyVisualizerVector.hh
- Plugin-PropertyVis/OpenMesh/OMPropertyVisualizerVectorT_impl.hh